org.codehaus.plexus.metadata

## Class DefaultComponentDescriptorWriter

- java.lang.Object
- - org.codehaus.plexus.metadata.DefaultComponentDescriptorWriter

All Implemented Interfaces:
  ComponentDescriptorWriter

    public class DefaultComponentDescriptorWriter
    extends java.lang.Object
    implements ComponentDescriptorWriter

Serializes a `ComponentSetDescriptor`.

Author:
  Kenney Westerhof, Jason van Zyl, Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentDescriptorWriter()`

### Method Summary

Methods
`void` `writeDependencies(org.codehaus.plexus.util.xml.XMLWriter w, java.util.List<ComponentDependency> deps)`
`void` `writeDescriptorSet(java.io.Writer writer, ComponentSetDescriptor componentSetDescriptor, boolean containerDescriptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentDescriptorWriter

    public DefaultComponentDescriptorWriter()

### Method Detail

#### writeDescriptorSet

    public void writeDescriptorSet(java.io.Writer writer,
                          ComponentSetDescriptor componentSetDescriptor,
                          boolean containerDescriptor)
                            throws ComponentDescriptorWriteException,
                                   java.io.IOException

Specified by:
  `writeDescriptorSet` in interface `ComponentDescriptorWriter`
Throws:
  `ComponentDescriptorWriteException`
  `java.io.IOException`

#### writeDependencies

    public void writeDependencies(org.codehaus.plexus.util.xml.XMLWriter w,
                         java.util.List<ComponentDependency> deps)